Skip to content

Archive Work Agent

DELETE
/work/agents/{agent_id}

Archive one Work agent. 403 unless the caller may edit it.

The app answers 204; this answers 200 with the archived id so the response fits the Developer API envelope.

Authorizations

Parameters

Path Parameters

agent_id
required

Agent id

string format: uuid

Agent id

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

An archived Work agent.

object
agent_id
required

The agent that was archived

string
archived

True once archived

boolean
default: true
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string